package logic

import (
	"context"

	"juwan-backend/app/users/rpc/internal/svc"
	"juwan-backend/app/users/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type DelUserPreferencesLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDelUserPreferencesLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DelUserPreferencesLogic {
	return &DelUserPreferencesLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DelUserPreferencesLogic) DelUserPreferences(in *pb.DelUserPreferencesReq) (*pb.DelUserPreferencesResp, error) {
	// todo: add your logic here and delete this line

	return &pb.DelUserPreferencesResp{}, nil
}
